GroovySyntaxError (Groovy 3.0.9)

Package org.apache.groovy.parser.antlr4

## Class GroovySyntaxError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.AssertionError
      - - org.apache.groovy.parser.antlr4.GroovySyntaxError

- All Implemented Interfaces:
    `Serializable`

      public class GroovySyntaxError
      extends AssertionError

  Represents a syntax error of groovy program
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `LEXER` |
    `static int` | `PARSER` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroovySyntaxError​(String message, int source, int line, int column)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getColumn()` |
    `int` | `getLine()` |
    `int` | `getSource()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LEXER

          public static final int LEXER

      See Also:
        Constant Field Values

    - #### PARSER

          public static final int PARSER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GroovySyntaxError

          public GroovySyntaxError​(String message,
                                   int source,
                                   int line,
                                   int column)

  - ### Method Detail

    - #### getSource

          public int getSource()

    - #### getLine

          public int getLine()

    - #### getColumn

          public int getColumn()